Summary: A 6DOF 3D game engine.
Name: cryst
Version:  0.12
Release: 2
Copyright: freely distributable
Group: Development/Libraries
Url: http://crystal.linuxgames.com  
Source0: csmain.tgz
Source1: csunix.tgz
Source2: csmazed.tgz
Source3: standard.zip
#Patch0: cryst-config.patch
#Patch1: cryst-worldfile.patch
Patch0: cryst-conf.patch
Patch2: cryst-alpha.patch
Patch3: cryst-sparc.patch
Patch4412: cryst-glibc21.patch
BuildRoot: /var/tmp/cryst-root

%description
Crystal Space is a free (LGPL) and portable 3D engine written in
C++. Crystal Space supports true 6DOF; colored lights; mipmapping;
portals; mirrors; alpha transparency; reflecting surfaces; 3D sprites;
scripting; 8 bit, 16 bit, and 32 bit displays; and Glide and OpenGL
hardware acceleration.

%prep
%setup -q  -n cryst
%setup -q  -T -D -b 1 -n cryst
%setup -q  -T -D -b 2 -n cryst
cp $RPM_SOURCE_DIR/standard.zip $RPM_BUILD_DIR/cryst
%patch0 -p1 -b .conf
#%patch1 -p1 -b .world-mpm

%patch4412 -p1 -b .glibc21

%build
cd $RPM_BUILD_DIR/cryst/src/
make linux
%ifarch alpha
echo "PROC = UNKNOWN" >> config.mak
%endif
%ifarch sparc
echo "PROC = SPARC" >> config.mak
%endif
make all cs wt si mz

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/lib/cryst/data/  
install -m 644 data/*.zip $RPM_BUILD_ROOT/usr/lib/cryst/data/ 

install -m 644 $RPM_SOURCE_DIR/standard.zip $RPM_BUILD_ROOT/usr/lib/cryst/data/

mkdir -p $RPM_BUILD_ROOT/usr/bin/cryst/ 

install -m 644 src/cryst.cfg $RPM_BUILD_ROOT/usr/bin/cryst/ 
install -m 755 -s src/csregsvr $RPM_BUILD_ROOT/usr/bin/cryst
install -m 755 -s src/cryst $RPM_BUILD_ROOT/usr/bin/cryst/ 
install -m 755 -s src/cswstest $RPM_BUILD_ROOT/usr/bin/cryst/ 
install -m 755 -s src/mazed $RPM_BUILD_ROOT/usr/bin/cryst/ 
install -m 755 -s src/simple $RPM_BUILD_ROOT/usr/bin/cryst/ 

install -m 755 src/*.so $RPM_BUILD_ROOT/usr/bin/cryst

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root) 
%doc lgpl.html COPYING CREDITS FILES INSTALL README  
/usr/lib/cryst/data/
/usr/bin/cryst/ 

%changelog
* Mon Jul 12 1999 Tim Powers <timp@redhat.com>
- %files section thought there were more docs than there are - fixed
- rebuilt for 6.1

* Wed May 05 1999 Bill Nottingham <notting@redhat.com>
- update to 0.12

* Mon Oct 05 1998 Michael Maher <mike@redhat.com> 
- fixed file lists in spec file

* Wed Jul 29 1998 Michael Maher <mike@redhat.com>
- built package.
- added distributable map and gif files for Crystal Space
